Sync channel integration products
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/integration-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"appIntegrationAccountId": 123,
"channelSku": "<string>",
"channelProductName": "<string>",
"lumSku": "<string>",
"bufferQuantity": 123,
"leadTimeDays": 1,
"price": 123,
"gtin": "<string>",
"ignoreStock": true,
"delete": true
}
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/integration-products"
payload = { "items": [
{
"appIntegrationAccountId": 123,
"channelSku": "<string>",
"channelProductName": "<string>",
"lumSku": "<string>",
"bufferQuantity": 123,
"leadTimeDays": 1,
"price": 123,
"gtin": "<string>",
"ignoreStock": True,
"delete": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
appIntegrationAccountId: 123,
channelSku: '<string>',
channelProductName: '<string>',
lumSku: '<string>',
bufferQuantity: 123,
leadTimeDays: 1,
price: 123,
gtin: '<string>',
ignoreStock: true,
delete: true
}
]
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/channels/{channelId}/integration-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Integration products synced."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Channels
Sync channel integration products
Bulk-create or update channel SKU → Luminous SKU mappings for a sales channel. Up to 500 items per call.
Set delete: true on an item to remove its mapping.
Sales channels only — returns 422 against fulfillment or e2e channels. Returns 403 when the channel
has apiLocked: true.
POST
/
channels
/
{channelId}
/
integration-products
Sync channel integration products
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
Body
application/json
Required array length:
1 - 500 elementsShow child attributes
Show child attributes
Response
Synced
Example:
"Integration products synced."
⌘I